Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002706Dwarf FortressDwarf Mode -- Militarypublic2010-07-15 09:312016-08-07 19:16
Reportermorikal 
Assigned Tolethosor 
PrioritynormalSeverityminorReproducibilityhave not tried
Statusneeds feedbackResolutionopen 
PlatformWindowsOSWindows XPOS VersionSP 3
Product Version0.31.10 
Target VersionFixed in Version 
Summary0002706: Marksdwarves won't get quivers or ammo
DescriptionSee save here: http://dffd.wimbli.com/file.php?id=2674 [^]

My marksdwarf squad picks up their crossbows, but won't go get quivers from the stockpile (they are in bins) or ammo (also in bins).

I mention the bins because I heard on the forums that there are problems with marksdwarves getting their ammo from a bin, but couldn't find an open bug for it.

I had tried designating stockpiles without bins to take from the existing ones, but no one hauled stuff over. (The next step would be to delete the binned stockpiles, have dwarves haul quivers & ammo over to the no-bin stockpile, and see if they will get their equipment then...)
TagsSave Included
Attached Files

- Relationships
child of 0001374new If squad is assigned multiple ammo types, dwarves with "individual choice ranged" carry wrong ammo, and other ammo bugs 

-  Notes
(0017482)
Kogut (reporter)
2011-04-23 04:43
edited on: 2011-04-23 04:47

fixed in .25 or before

deleting squad and creating new [in .25] fixed problem in attached save

(0021832)
Footkerchief (manager)
2012-03-28 07:50

Okay. Please reopen this report or PM me on the forums if it's still around (if squads have to be deleted and recreated even in recent saves, it's probably still an issue).
(0022119)
Kogut (reporter)
2012-04-06 02:50

Uploading save from 34.02+ may be a good idea
(0024092)
Kiloku (reporter)
2013-08-17 11:57

I get this bug in the 0.34.11 version. Notice I have never even played DF in older versions.
(0024094)
Dwarfu (manager)
2013-08-17 15:33

Reminder sent to: Kiloku

Please upload a save demonstrating the problem in the current version to http://dffd.wimbli.com [^] and post a link to it here.
(0024096)
Kiloku (reporter)
2013-08-18 07:49

There it is, Dwarfu: http://dffd.wimbli.com/file.php?id=7909 [^]
(0024098)
Kiloku (reporter)
2013-08-20 09:13

Sorry to double post, but I noticed there were no downloads on the file. When can I expect someone to look into that bug?
(0024115)
Footkerchief (manager)
2013-09-22 17:23

Hopefully Toady will be fixing some equipment bugs after the upcoming release.
(0032365)
lethosor (manager)
2015-03-10 15:37

Is this still a problem in v0.40.24?
(0032367)
fricy (reporter)
2015-03-11 01:34

Not sure about the quivers part, but the ammo in bins can't be picked up bug was present in 40.19, haven't tested in .24 though.
(0032772)
Cosmop (reporter)
2015-06-10 21:00
edited on: 2015-06-10 21:04

Playing in 40.24. I've been getting a lot of issues involving marksdwarves failing to pickup ammunition (spam of equipment mismatch messages) and pretty much all of the bolts they aren't using are in bins in stockpiles, so it appears its still a problem. That said, its possible some other issue is contributing involving quivers or finished good stockpiles.


- Issue History
Date Modified Username Field Change
2010-07-15 09:31 morikal New Issue
2010-07-15 09:43 Footkerchief Relationship added child of 0000535
2011-02-28 20:56 Footkerchief Relationship added child of 0001374
2011-02-28 20:56 Footkerchief Relationship deleted child of 0000535
2011-04-23 04:43 Kogut Note Added: 0017482
2011-04-23 04:43 Kogut Issue Monitored: Kogut
2011-04-23 04:43 Kogut Tag Attached: CLOSE THIS
2011-04-23 04:47 Kogut Note Edited: 0017482 View Revisions
2012-03-28 07:50 Footkerchief Note Added: 0021832
2012-03-28 07:50 Footkerchief Status new => resolved
2012-03-28 07:50 Footkerchief Fixed in Version => 0.31.25
2012-03-28 07:50 Footkerchief Resolution open => fixed
2012-03-28 07:50 Footkerchief Assigned To => Toady One
2012-03-28 08:04 Kogut Issue End Monitor: Kogut
2012-03-28 08:05 Kogut Tag Detached: CLOSE THIS
2012-04-05 21:15 Footkerchief Assigned To Toady One =>
2012-04-05 21:15 Footkerchief Status resolved => new
2012-04-06 02:50 Kogut Note Added: 0022119
2013-08-17 11:57 Kiloku Note Added: 0024092
2013-08-17 15:33 Dwarfu Issue Monitored: Kiloku
2013-08-17 15:33 Dwarfu Note Added: 0024094
2013-08-17 15:33 Dwarfu Tag Attached: AWAITING UPDATE
2013-08-18 07:49 Kiloku Note Added: 0024096
2013-08-20 09:13 Kiloku Note Added: 0024098
2013-09-22 17:22 Footkerchief Tag Detached: AWAITING UPDATE
2013-09-22 17:23 Footkerchief Tag Attached: Save Included
2013-09-22 17:23 Footkerchief Note Added: 0024115
2015-03-10 15:37 lethosor Note Added: 0032365
2015-03-10 15:37 lethosor Assigned To => lethosor
2015-03-10 15:37 lethosor Status new => needs feedback
2015-03-10 15:37 lethosor Fixed in Version 0.31.25 =>
2015-03-11 01:34 fricy Note Added: 0032367
2015-06-10 21:00 Cosmop Note Added: 0032772
2015-06-10 21:04 Cosmop Note Edited: 0032772 View Revisions
2016-08-07 19:16 Loci Resolution fixed => open


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker